# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_iislogging`](#dsc_iislogging): The DSC IisLogging resource type. Automatically generated from version 0.1.0.0
* [`dsc_sslsettings`](#dsc_sslsettings): The DSC SslSettings resource type. Automatically generated from version 0.1.0.0
* [`dsc_website`](#dsc_website): The DSC Website resource type. Automatically generated from version 0.1.0.0

## Resource types

### <a name="dsc_iislogging"></a>`dsc_iislogging`

The DSC IisLogging resource type.
Automatically generated from version 0.1.0.0

#### Properties

The following properties are available in the `dsc_iislogging` type.

##### `dsc_logflags`

Data type: `Optional[Array[Enum['Date', 'Time', 'ClientIP', 'UserName', 'SiteName', 'ComputerName', 'ServerIP', 'Method', 'UriStem', 'UriQuery', 'HttpStatus', 'Win32Status', 'BytesSent', 'BytesRecv', 'TimeTaken', 'ServerPort', 'UserAgent', 'Cookie', 'Referer', 'ProtocolVersion', 'Host', 'HttpSubStatus']]]`

The W3C logging fields

##### `dsc_logformat`

Data type: `Optional[Enum['IIS', 'W3C', 'NCSA']]`

Format of the Logfiles. Only W3C supports LogFlags

##### `dsc_loglocaltimerollover`

Data type: `Optional[Boolean]`

Use the localtime for file naming and rollover

##### `dsc_logperiod`

Data type: `Optional[Enum['Hourly', 'Daily', 'Weekly', 'Monthly', 'MaxSize']]`

How often the log file should rollover

##### `dsc_logtruncatesize`

Data type: `Optional[String]`

How large the file should be before it is truncated

#### Parameters

The following parameters are available in the `dsc_iislogging` type.

* [`dsc_logpath`](#dsc_logpath)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_logpath"></a>`dsc_logpath`

namevar

Data type: `String`

The directory to be used for logfiles

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_sslsettings"></a>`dsc_sslsettings`

The DSC SslSettings resource type.
Automatically generated from version 0.1.0.0

#### Properties

The following properties are available in the `dsc_sslsettings` type.

##### `dsc_bindings`

Data type: `Array[Enum['', 'Ssl', 'SslNegotiateCert', 'SslRequireCert', 'Ssl128']]`

The Bindings in which to modify for the website

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Whether the bindings should be present or absent

#### Parameters

The following parameters are available in the `dsc_sslsettings` type.

* [`dsc_name`](#dsc_name)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_name"></a>`dsc_name`

namevar

Data type: `String`

Name of website in which to modify the SSL Settings

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_website"></a>`dsc_website`

The DSC Website resource type.
Automatically generated from version 0.1.0.0

#### Properties

The following properties are available in the `dsc_website` type.

##### `dsc_applicationpool`

Data type: `Optional[String]`

 

##### `dsc_applicationtype`

Data type: `Optional[String]`

Adds a AutostartProvider ApplicationType

##### `dsc_authenticationinfo`

Data type: `Optional[Struct[{
              basic => Optional[Boolean],
              anonymous => Optional[Boolean],
              digest => Optional[Boolean],
              windows => Optional[Boolean]
            }]]`

Hashtable containing authentication information (Anonymous, Basic, Digest, Windows)

##### `dsc_bindinginfo`

Data type: `Optional[Array[Struct[{
              sslflags => Optional[Enum['0', '1', '2', '3']],
              certificatestorename => Optional[Enum['My', 'WebHosting']],
              certificatethumbprint => Optional[String],
              hostname => Optional[String],
              bindinginformation => Optional[String],
              port => Optional[Integer[0, 65535]],
              ipaddress => Optional[String],
              protocol => Enum['http', 'https', 'msmq.formatname', 'net.msmq', 'net.pipe', 'net.tcp']
            }]]]`

Website's binding information in the form of an array of embedded instances of the MSFT_WebBindingInformation CIM class.

##### `dsc_defaultpage`

Data type: `Optional[Array[String]]`

 

##### `dsc_enabledprotocols`

Data type: `Optional[String]`

 

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

 

##### `dsc_logflags`

Data type: `Optional[Array[Enum['Date', 'Time', 'ClientIP', 'UserName', 'SiteName', 'ComputerName', 'ServerIP', 'Method', 'UriStem', 'UriQuery', 'HttpStatus', 'Win32Status', 'BytesSent', 'BytesRecv', 'TimeTaken', 'ServerPort', 'UserAgent', 'Cookie', 'Referer', 'ProtocolVersion', 'Host', 'HttpSubStatus']]]`

The W3C logging fields

##### `dsc_logformat`

Data type: `Optional[Enum['IIS', 'W3C', 'NCSA']]`

Format of the Logfiles. Only W3C supports LogFlags

##### `dsc_loglocaltimerollover`

Data type: `Optional[Boolean]`

Use the localtime for file naming and rollover

##### `dsc_logpath`

Data type: `Optional[String]`

The directory to be used for logfiles

##### `dsc_logperiod`

Data type: `Optional[Enum['Hourly', 'Daily', 'Weekly', 'Monthly', 'MaxSize']]`

How often the log file should rollover

##### `dsc_logtruncatesize`

Data type: `Optional[String]`

How large the file should be before it is truncated

##### `dsc_physicalpath`

Data type: `Optional[String]`

 

##### `dsc_preloadenabled`

Data type: `Optional[Boolean]`

Allows the Website to automatically start without a request

##### `dsc_serviceautostartenabled`

Data type: `Optional[Boolean]`

Enables Autostart on a Website.

##### `dsc_serviceautostartprovider`

Data type: `Optional[String]`

Adds a AutostartProvider

##### `dsc_state`

Data type: `Optional[Enum['Started', 'Stopped']]`

 

#### Parameters

The following parameters are available in the `dsc_website` type.

* [`dsc_name`](#dsc_name)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_name"></a>`dsc_name`

namevar

Data type: `String`

 

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

